scala.xml

# XML

#### object XML extends XMLLoader[Elem]

The object `XML` provides constants, and functions to load and save XML elements. Use this when data binding is not desired, i.e. when XML is handled using `Symbol` nodes.

Source
  XML.scala
Version

  1.0, 25/04/2005

Linear Supertypes
XMLLoader[Elem], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. XML
2. XMLLoader
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### def adapter: FactoryAdapter

   Definition Classes
     XMLLoader

7. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

8. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
   Note

     not specified by SLS as a member of AnyRef

9. #### val encoding: String

10. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

13. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

14. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

16. #### val lang: String

17. #### def load(url: URL): Elem

    Definition Classes
      XMLLoader

18. #### def load(source: InputSource): Elem

    Definition Classes
      XMLLoader

19. #### def load(sysID: String): Elem

    Definition Classes
      XMLLoader

20. #### def load(reader: Reader): Elem

    Definition Classes
      XMLLoader

21. #### def load(is: InputStream): Elem

    loads XML from given InputStream, Reader, sysID, InputSource, or URL.

    loads XML from given InputStream, Reader, sysID, InputSource, or URL.

    Definition Classes
      XMLLoader

22. #### def loadFile(name: String): Elem

    Definition Classes
      XMLLoader

23. #### def loadFile(fd: FileDescriptor): Elem

    Definition Classes
      XMLLoader

24. #### def loadFile(file: File): Elem

    Loads XML from the given file, file descriptor, or filename.

    Loads XML from the given file, file descriptor, or filename.

    Definition Classes
      XMLLoader

25. #### def loadString(string: String): Elem

    Loads XML from the given String.

    Loads XML from the given String.

    Definition Classes
      XMLLoader

26. #### def loadXML(source: InputSource, parser: SAXParser): Elem

    Loads XML from the given InputSource, using the supplied parser.

    Loads XML from the given InputSource, using the supplied parser. The methods available in scala.xml.XML use the XML parser in the JDK.

    Definition Classes
      XMLLoader

27. #### val namespace: String

28. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

29. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

30. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

31. #### def parser: SAXParser

    Definition Classes
      XMLLoader

32. #### val preserve: String

33. #### final def save(filename: String, node: Node, enc: String = encoding, xmlDecl: Boolean = false, doctype: DocType = null): Unit

    Saves a node to a file with given filename using given encoding optionally with xmldecl and doctype declaration.

    Saves a node to a file with given filename using given encoding optionally with xmldecl and doctype declaration.

    filename

      the filename

    node

      the xml node we want to write

    enc

      encoding to use

    xmlDecl

      if true, write xml declaration

    doctype

      if not null, write doctype declaration

34. #### val space: String

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### def withSAXParser(p: SAXParser): XMLLoader[Elem]

    Returns an XMLLoader whose load* methods will use the supplied SAXParser.

41. #### final def write(w: Writer, node: Node, enc: String, xmlDecl: Boolean, doctype: DocType, minimizeTags: MinimizeMode.Value = MinimizeMode.Default): Unit

    Writes the given node using writer, optionally with xml decl and doctype.

    Writes the given node using writer, optionally with xml decl and doctype. It's the caller's responsibility to close the writer.

    w

      the writer

    node

      the xml node we want to write

    enc

      the string to be used in `xmlDecl`

    xmlDecl

      if true, write xml declaration

    doctype

      if not null, write doctype declaration

42. #### val xml: String

43. #### val xmlns: String

### Inherited from XMLLoader[Elem]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped